# -*- coding: utf-8 -*-

from django.conf.urls import url

from api import admin_views, eqpt_views, field_views, mini_views, oauth_views, point_views, screen_views, wx_views


urlpatterns = [
]

urlpatterns += [
    url(r'^3rd/or$', oauth_views.oauth_redirect, name='3rd_or'),
    url(r'^3rd/oauth_redirect$', oauth_views.oauth_redirect, name='3rd_oauth_redirect'),
]

urlpatterns += [
    url(r'^get_limit_scene_qrcode_url$', wx_views.get_limit_scene_qrcode_url, name='get_limit_scene_qrcode_url'),
]

urlpatterns += [
    url(r'^admin/login$', admin_views.admin_login, name='admin_login'),
]

urlpatterns += [
    url(r'^field/default$', field_views.field_default, name='field_default'),

    url(r'^point/field/add$', field_views.point_field_update, name='point_field_add'),
    url(r'^point/field/update$', field_views.point_field_update, name='point_field_update'),
]

urlpatterns += [
    url(r'^point/list$', point_views.get_point_list, name='point_list'),
    url(r'^point/info$', point_views.get_point_info, name='point_info'),
]

urlpatterns += [
    url(r'^eqpt/bind$', eqpt_views.eqpt_bind, name='eqpt_bind'),
    url(r'^eqpt/onoff$', eqpt_views.eqpt_onoff, name='eqpt_onoff'),
    url(r'^eqpt/remark$', eqpt_views.eqpt_remark, name='eqpt_remark'),
    url(r'^eqpt/list$', eqpt_views.eqpt_list, name='eqpt_list'),
    url(r'^eqpt/result$', eqpt_views.eqpt_result, name='eqpt_result'),
]

urlpatterns += [
    url(r'^upload/temperature$', eqpt_views.upload_temperature, name='upload_temperature'),
]

# Mini App
urlpatterns += [
    url(r'^mp/userinfo$', mini_views.get_userinfo_api, name='get_userinfo_api'),  # 获取用户信息
    url(r'^mp/login$', mini_views.mini_login_api, name='mini_login_api'),  # 小程序登录
    url(r'^mp/userinfo2$', mini_views.get_userinfo_api2, name='get_userinfo_api2'),  # 获取用户信息
]

urlpatterns += [
    url(r'^mp/get_point_info$', point_views.get_point_info, name='get_point_info'),
    url(r'^mp/get_point_fields$', point_views.get_point_fields, name='get_point_fields'),
    url(r'^mp/save_point_fields$', point_views.save_point_fields, name='save_point_fields'),
    url(r'^mp/bind_eqpt$', point_views.bind_eqpt, name='bind_eqpt'),
]

# Screen
urlpatterns += [
    url(r'^screen/login$', screen_views.screen_login, name='screen_login'),
    url(r'^screen/info/set$', screen_views.screen_info_set, name='screen_info_set'),
    url(r'^screen/info$', screen_views.screen_info, name='screen_info'),

    url(r'^screen/eqpt/result$', eqpt_views.screen_eqpt_result, name='screen_eqpt_result'),
]
